#!/bin/sh
#
# CopyLeft moon.cat
# https://creativecommons.org/licenses/by/4.0/
#
# Author: Rei Izumi - moon.cat - 2020
#
# Create a new DB2 database
#
DB2_USER="db2inst1"

if [ ! $1 ]
then
echo "You must enter the name of the database"

else
echo "Creating database: $1 ..."
su - $DB2_USER -c "db2 CREATE DATABASE $1 AUTOMATIC STORAGE YES ALIAS $1 PAGESIZE 32 K"
echo "... created"
fi
